> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrying webhook events

> Retries sending a failed webhook event. This will attempt to deliver the webhook payload again to the configured endpoint.

<Info>
  Failed webhook events are automatically retried up to 5 times with exponential backoff intervals
  (5 minutes, 30 minutes, 1 hour, 6 hours, 24 hours) before being permanently dropped.
</Info>


## OpenAPI

````yaml POST /webhooks/{webhookId}/events/{eventId}
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /webhooks/{webhookId}/events/{eventId}:
    post:
      tags:
        - Webhooks
      summary: Retry webhook event
      description: >-
        Retries sending a failed webhook event. This will attempt to deliver the
        webhook payload again to the configured endpoint.
      parameters:
        - name: webhookId
          in: path
          required: true
          description: The ID of the webhook
          schema:
            type: string
        - name: eventId
          in: path
          required: true
          description: The ID of the webhook event to retry
          schema:
            type: string
      responses:
        '204':
          description: Webhook event retry initiated successfully
        '401':
          description: Unauthorized
        '403':
          description: Forbidden - User doesn't have access to this webhook or event
        '404':
          description: Webhook or event not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````